/* application source */
var canvas = document.getElementById("skeletonsCanvas");
var context = canvas.getContext("2d");

function getSkeletons(jsonObject) {
	
  if (context == null) {
      return;
  }
  
  context.clearRect(0, 0, canvas.width, canvas.height);

  for (var i = 0; i < jsonObject.skeletons.length; i++) {
	var headZ = 0;
    var hipZ = 0;

    for (var j = 0; j < jsonObject.skeletons[i].joints.length; j++) 
    {
      var joint = jsonObject.skeletons[i].joints[j];
      
      // Draw!!!
      context.fillStyle = "#FF0000";
      context.beginPath();
      context.arc(joint.x, joint.y, 10, 0, Math.PI * 2, true);
      context.closePath();
      context.fill();
		
      // joint.name  values
      		//head
      		//hipleft
      
     }
	}
}

              
function msgFromArduino(value){
	console.debug('From Arduino: ' + value);
}

function next() {
	console.debug('Next!');  
}

function prior() {
	console.debug('Prior');
}

function grip() {
	console.debug('Grip!');  
}

function release() {
	console.debug('Release');
}

function noUser(){
  console.debug('No User :(');  
  showSadFace();
//sendToArduino('0');
  
}

function newUser() {
  console.debug('New User :)');  
  showHappyFace();
  //sendToArduino('1');
}

function changeHandNone() {
	console.debug('Hand None');  
}

function changeHandRight() {
  	console.debug('Hand Right');  
}

function changeHandLeft() {
	console.debug('Hand Left');  
}




function showSadFace(){
	var happyFace = document.getElementById('happyFace');
  	happyFace.style.display = 'none';  
  
	var sadFace = document.getElementById('sadFace');
	sadFace.style.display = 'block';  
}

function showHappyFace(){
 var happyFace = document.getElementById('happyFace');
  	happyFace.style.display = 'block';  
  
	var sadFace = document.getElementById('sadFace');
	sadFace.style.display = 'none';  
}

window.onload = showSadFace();

